Bug 461051 - linkwatch_event: Unable to handle kernel NULL pointer dereference at 00000002
linkwatch_event: Unable to handle kernel NULL pointer dereference at 00000002
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 13:45 EDT by Tom London
Modified: 2008-10-10 00:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-10 00:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen photo of kernel messages, frozen screen at shutdown (215.11 KB, image/jpeg)
2008-09-03 13:45 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2008-09-03 13:45:37 EDT
Created attachment 315668 [details]
Screen photo of kernel messages, frozen screen at shutdown

Description of problem:
Got the following on the screen during normal shutdown of 0.295 (with patch to fix SELinux leak) after system was up and running for about 12 hours.

My feeble attempt to copy screen text (fuzzy photo of screen attached):

Pid: 10, comm: events/1 Not tainted (2.6.27-0.295.rc5.git2.local.fc10.i686, ...)
....
EIP: is at linkwatch_event_0x...
.....
Call Trace:
... run_workqueue+...
... linkwatch_event+...
... worker_thread+....
... autoremove_wake_function+....
... worker_thread+...
... kthread+...
... kthread+...
... kernel_thread_helper+....

Shutdown proceeded for a while, and then froze.  I had to force power off.

Version-Release number of selected component (if applicable):
kernel-2.6.27-0.295.rc5.git2.local.fc10.i686

How reproducible:
First time I've seen this.  Does not happen every time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-10-06 12:05:58 EDT
Haven't seen this in quite a while.

Close?

Note You need to log in before you can comment on or make changes to this bug.